%global namedreltag .CR1
%global namedversion %{version}%{?namedreltag}

Name:          jboss-el
Version:       2.0.2
Release:       %mkrel 1
Summary:       Extended EL implementation
Group:         Development/Java
License:       LGPLv2+
Url:           http://www.jboss.org/
# svn export http://anonsvn.jboss.org/repos/jboss-el/tags/2.0.2.CR1/ jboss-el-2.0.2.CR1
# tar czf jboss-el-2.0.2.CR1-src-svn.tar.gz jboss-el-2.0.2.CR1
Source0:       jboss-el-%{namedversion}-src-svn.tar.gz

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: glassfish-el
BuildRequires: junit4

%if 0
BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-deploy-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-release
BuildRequires: maven-surefire-plugin
%else
BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: maven-ant-tasks
%endif
Requires:      glassfish-el

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
JBoss EL is a extended EL implementation, distributed with Seam.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;

ln -sf $(build-classpath junit4) lib/junit-4.2.jar
ln -sf $(build-classpath maven-ant-tasks) lib/maven-ant-tasks.jar

%build

%if 0
  mvn-rpmbuild install javadoc:aggregate
%else
  export CLASSPATH=
  export OPT_JAR_LIST=`cat %{_sysconfdir}/ant.d/junit`
  %{ant} -Dincludeantruntime=false -Dbuild.sysclasspath=first clean build test 
%endif

%install

mkdir -p %{buildroot}%{_javadir}/jboss
install -pm 644 dist/%{name}-api.jar %{buildroot}%{_javadir}/jboss/
install -pm 644 dist/%{name}-test.jar %{buildroot}%{_javadir}/jboss/
install -pm 644 dist/%{name}.jar %{buildroot}%{_javadir}/jboss/

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.jboss-%{name}.pom
%add_maven_depmap JPP.jboss-%{name}.pom jboss/%{name}.jar

%files
%{_javadir}/jboss/%{name}*.jar
%{_mavenpomdir}/JPP.jboss-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%changelog

* Tue Jan 24 2012 gil <gil> 2.0.2-1.mga2
+ Revision: 200601
- imported package jboss-el

